*, *::after, *::before { 
    box-sizing: border-box;
	overflow: hidden;
}

:root {
	--dark-grey: rgb(25, 23, 23);
}

html {
	background-color: #141617;
	font-family: 'IBM Plex Mono', monospace;
}

body {
	padding: 0;
	margin: 0;
	background-color: #171616;
}

canvas {
	position: absolute;
	z-index: 1;
	width: 100vw;
	height: 100vh;
}

.sidebar {
	overflow: auto;
	height: 100vh;
	width: 350px;
	position: absolute;
	left: 0;
	top: 0;
	padding-top: 40px;
	background-color: black;
	z-index: 2;
}

.main-body {
	display: block;
	overflow: auto;
	margin-left: 350px;
	padding: 0;
	background-color: rgba(0, 0, 0, .9);
	height: 100vh;
	z-index: 2;
}

#header {
    display: flex;
	flex-direction: row;
	font-size: 19px;
	word-break: break-word;
	overflow: hidden;
	border-radius: 15px;
    color: rgb(232, 228, 228);
    padding: 10px;
	margin-top: -25px;
	text-align: center;
	z-index: 2;
}

#header-wrapper {
	width: 30vw;
}

#header > label {
	font-size: 12px;
	text-align: left;
	writing-mode: vertical-lr;
	text-orientation: upright;
	width: 20px;
}

#header > h1 {
	margin: 20px;
}

#nice-line {
	width: 22vw;
}

a:link {
	color: white;
	text-decoration: none;
}
a:visited {
	color: white;
	text-decoration: none;
}
a:hover {
	text-decoration: underline;
  }
a:active {
	text-decoration: none;
}

#button-wrapper {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 50vh;
}

#generate-jobs-btn, #show-data-btn {
	font-size: 28px;
	margin-left: 15px;
	margin-bottom: 15px;
	border-radius: 100px;
	height: 160px;
	width: 160px;
	text-align: center;
	background-color: white;
	color: black;
	border: none;
}

#generate-jobs-btn {
	cursor: pointer;
	font-size: 20px;
	height: 120px;
	width: 120px;
	box-shadow: 0px 0px 5px 5px grey;
}
#generate-jobs-btn:disabled,
#generate-jobs-btn[disabled]{
  border: 1px solid #999999;
  background-color: #cccccc;
  color: #666666;
}

#show-data-btn {
	font-size: 20px;
	height: 100px;
	width: 100px;
	display: none;
	cursor: pointer;
	box-shadow: 0px 0px 5px 5px grey;
}

#show-data-btn:hover, #show-data-btn:focus {
	background-color: rgb(189, 187, 187);
}

.modal {
	position: fixed;
	left: 50%;
	right: 50%;
	transform: translate(-50%) scale(0);
	transition: 200ms ease-in-out;

	border-radius: 15px;
	z-index: 10;
	background: none;
	width: 700px;	
	height: 700px; 
	max-width: 80%;

	overflow-y: none;
    scrollbar-width: none; /* Firefox */
	overflow-x: hidden;
}

.modal.active {
	transform: translate(-50%) scale(1);
}
 
.modal-header {
	padding: 10px 15px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: sticky;
	top: 0;
} 

.modal-header .close {
	position: absolute;
	top: 0;
	right: 14px;
	cursor: pointer;
	font-size: 40px;
	font-weight: bold;
	border: none;
	outline: none;
	background: none;
}

.modal-body {
	padding: 10px 15px;
}

#overlay {
	position: fixed;
	z-index: 2;
	opacity: 0;
	transition: 200ms ease-in-out;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.5);
	pointer-events: none;
}

#overlay.active {
	opacity: 1;
	pointer-events: all;
}

#jobs-table {
	font-size: 30px;
	table-layout: fixed;
	border-collapse: separate;
	border: 3px solid rgb(232, 228, 228);
	border-radius: 15px;
	padding: 15px;
	background-color: black;
	margin: 0 auto;
	width: 600px;
	height: 600px;
	color: rgb(232, 228, 228);
	font-family:'Times New Roman', Times, serif;
}

td {
    /* border: solid 2px rgb(42, 26, 4); */
	text-align: center;
	padding: 3px 10px;
}

#tbody {
    background-color: rgb(232, 228, 228);
    height: 500px;
    overflow-y: auto;
    scrollbar-width: none; /* Firefox */
	overflow-x: hidden;
	border-radius: 15px;
	color: black;
}

thead > tr, #tbody {
    display: block;
}

.modal::-webkit-scrollbar { /* WebKit */
    width: 0;
    height: 0;
}

.num-of-processors {
	display: none;
	margin: 10px;
	text-align: center;
	font-size: 20px;
	margin-top: 50px;
}

.num-of-processors button {
	display: inline;
	flex-wrap: wrap;
	margin-bottom: 10px;
	margin-top: 10px;
	border-radius: 500px;
	font-size: 25px;
	padding: 15px;
	background-color: white;
	cursor: pointer;
	border: none;
}

.num-of-processors button:hover, .num-of-processors button:focus {
	background-color: rgb(157, 154, 154);
}

#data {
	font-size: 20px;
	margin: 15px;
	visibility: hidden;
	display: flex;
	flex-direction: column;
	justify-content: center;
	color: black;
	z-index: 2;
}

#top-data, #btm-data {
	display: flex;
	flex-wrap: nowrap;
}

#metrics {
	width: 60vw;
	margin-right: 10px;
}

#metrics, #chart-div {
	background-color: var(--dark-grey);
	color: white;
	border-radius: 10px;
	padding: 15px;

	height: 45vh;
	overflow-y: auto;
	scrollbar-width: none; /* Firefox */
	z-index: 1;
}

#chart-div {
	display: block;
	flex-shrink: 0;
	width: 600px;
}

#runtime {
	float: right;
	border-radius: 10px;
	padding: 15px;
	background-color: var(--dark-grey);
	color: white;
	
	width: 81vw;
	height: 50vh;
	overflow-y: auto;
	scrollbar-width: none; /* Firefox */
	margin-top: 10px;
	z-index: 1;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

/* Firefox */
input[type=number] {
	-moz-appearance: textfield;
}

.upper-body {
	border-radius: 15px;
	margin-top: -25px;
}

#num-of-processors > label {
	color: white;
	font-size: 20px;
}

@media (max-width: 1200px) {
	.main-body {
		margin: 0;
		margin-top: 30vh;
	}

	#num-of-processors > label {
		font-size: 20px;
	}

	#button-wrapper 
	#num-of-processors > label {
		font-size: 12px;
	}
	.sidebar {
		height: 30vh;
		width: 100vw;
		display: flex;
		flex-direction: column;
		padding: 0;
	}
	#header-wrapper {
		width: 100vw;
		display: flex;
		flex-direction: row;
	}
	#button-wrapper {
		height: 20vh;
	}

	#header-wrapper > h1 {
		margin: 5px;
	}

	#header {
		display: flex;
		flex-direction: row;
		flex-shrink: 1;
		font-size: 16px;
		width: 100vw;
		font-weight: bold;
		height: 10.5vh;
		border-radius: 0;
		margin: 0;
		border-bottom: 1px solid beige;
	}
	#metrics, #runtime, #chart-div {
		width: 100vw;
		height: 20vh;
		flex-shrink: 0;
	}
	#metrics {
		margin-bottom: 10px;
	}
	#top-data {
		display: flex;
		flex-direction: column;
	}
	#runtime {
		height: 24vh;
	}
	#jobs-table {
		width: 100%;
	}
	td {
		font-size: 20px;
	}
	.modal {
		margin-top: -100px;
		height: 100vh;
	}
	#tbody {
		height: 520px;
	}
	#num-of-processors button {
		font-size: 15px;
	}
	#nice-line {
		display: none;
	}
	.upper-body {
		width: 100vw;
		height: 25vh;
		margin: 0;
		border-radius: 0;
	}
	#generate-jobs-btn {
		font-size: 15px;
		height: 100px;
		width: 100px;
	}
	#show-data-btn {
		font-size: 15px;
		width: 150px;
		height: 2vh;
		line-height: 1px;
		box-shadow: 0px 0px 5px 5px grey;
	}
	#header-wrapper {
		margin-top: 5px;
	}
	#num-of-processors {
		margin: 0;
		background-color: black;
		width: 100vw;
	}
	#header > label {
		font-size: 10px;
		width: 25px;
		margin-right: 10px;
	}
}

.para {
	color: white;
}

#example-table {
	color: white;
}